package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.Dto.MessageStatic;
import com.zcxk.Dto.RequsetMessageQuery;
import com.zcxk.entity.Message;

import java.util.List;

/**
 * (Message)表服务接口
 *
 * @author makejava
 * @since 2020-11-12 10:53:23
 */
public interface MessageService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Message selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<Message> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param message 实例对象
     * @return 对象列表
     */
    List<Message> selectList(Message message);

    /**
     * 新增数据
     *
     * @param message 实例对象
     * @return 影响行数
     */
    int insert(Message message);

    /**
     * 批量新增
     *
     * @param messages 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<Message> messages);

    /**
     * 修改数据
     *
     * @param message 实例对象
     * @return 修改
     */
    int update(Message message);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<Message> selectPage(Message message, IPage<Message> page);

    int updateMultiple(RequsetMessageQuery requsetMessageQuery);


    List<MessageStatic> queryUnreadMessageStatic();

    List<Message> queryLastMessage(int num, Integer type);

    int judgingTheMessageJumpPermission(String url, String appId);
}